> For the complete documentation index, see [llms.txt](https://docs.a-pay.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.a-pay.one/api-documentation/payment-systems-information/getting-payment-system-balances.md).

# Getting payment system balances

{% hint style="warning" %}
The integration of our service into your platform is expected to be done with the help of developers, so make sure you involve them
{% endhint %}

Use this request to retrieve the current balances of the Payment Systems available to your project. API docs for this request are available [here](https://api.a-pay.one/#tag/Payment-system/paths/~1Remotes~1payment-systems-balances/get).

## Get payment system balances

> Get payment systems balances for the project

```json
{"openapi":"3.0.3","info":{"title":"A-Pay","version":"1.0.0"},"tags":[{"name":"Payment system","description":"Payment systems"}],"servers":[{"url":"https://<domain>"}],"security":[{"apikey":[]}],"components":{"securitySchemes":{"apikey":{"type":"apiKey","name":"apikey","in":"header"}},"schemas":{"ps_all":{"type":"string","title":"Payment system","enum":["ababank","ach_p2p","apaybdt","bancard_qr","banistmo_p2p","bankalfalah","bcgeneral_p2p","bkash_a","bkash_api_v","bkash_b","bkash_p2p","brou_p2p","cbebirr_p2p","cvu_fast_p2p","cvu_p2p","d17_l","easypaisa","easypaisa_l","egp_card","egp_fast","egp_tel","egp_tel_fast","esewa","esewa_p2p","etb_fast","etb_mpesa_p2p","etb_p2p","eur_card","flouci","flouci_l","fonepay_qr","fri_p2p","imepay_l","imps","imps_top","inr_p2c","inr_p2p","ipay_fast","ipay_l","itau_p2p","jazzcash","jazzcash_fast","jazzcash_l","kbzpay_p2p","khalti","khalti_l","lkr_banktransfer","lkr_qr","lynk_p2p","mercado_ars_p2p","mercado_uyu_p2c","moov_mli_p2p","mpesa","nagad_a","nagad_api_v","nagad_b","nagad_p2p","nayapay_l","orange_gin_p2p","orange_mli_p2p","orange_sen_p2p","paygo_p2p","paytm","phonepe","phonepe_fast","pix_p2p","pkr_bt_p2p","pkr_w","pkr_w2","raast_p2p","scotiabank_p2p","spei_p2p","stcpay_p2p","tap_p2p","telebirr_fast_p2p","upay","upay_w","upi_a","upi_fast","upi_fast_qr","upi_fast_v","upi_fast_vip","upi_link","upi_p2p","upi_push","veripagos_fast","wave_mli_p2p","wave_sen_p2p","wavepay_l","wing_l","yape_bob_p2p","yape_pen_p2p","yappy_p2p"],"description":"Payment system ID connected to the project"},"unauthorized_error":{"title":"Unauthorized","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"type":"string","default":"unauthorized","description":"Invalid credentials"},"code":{"type":"number","description":"Error code in the A-Pay system"}}}}},"paths":{"/Remotes/payment-systems-balances":{"get":{"tags":["Payment system"],"summary":"Get payment system balances","description":"Get payment systems balances for the project","parameters":[{"in":"query","name":"project_id","schema":{"type":"number"},"description":"Project ID in the system","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"oneOf":[{"title":"Success","required":["success","payment_systems_balances"],"properties":{"success":{"type":"boolean","description":"`true` if there are no errors"},"payment_systems_balances":{"type":"array","items":{"type":"object","description":"Information about payment system","required":["name","balance"],"properties":{"name":{"$ref":"#/components/schemas/ps_all"},"balance":{"type":"string","description":"Payment system balance"}}}}}},{"title":"Error","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"type":"string","description":"Description of error"},"code":{"type":"number","description":"Error code in the system"}}}]}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"oneOf":[{"title":"required field missing","description":"required field missing","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"description":"Validation error in parameters","default":"required field missing"},"code":{"type":"number","description":"Error code in the A-Pay system"}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/unauthorized_error"}}}}}}}}}
```
